<template>
    <div class="container">
        <div class="py-3">
            <h4>
                 <router-link class="text-reset text-decoration-none" :to="{name : 'home'}">
                    Home
                </router-link>
                / All Campaign

            </h4>
        </div>
        <div  v-if="loading"  class="text-center " colspan="5 ">
            <div class="spinner-border" role="status">
                <span class="visually-hidden">Loading...</span>
            </div>
        </div>
        <div class="row row-cols-2 row-cols-lg-4 g-2 g-lg-3">
            <div class="col" v-for="item in campaign" :key="item.id">
                <router-link class="card text-decoration-none text-dark" :to="'/Campaign/'+ item.slug">
                    <img :src="item.image ? 'http://localhost:8000/'+ item.image : 'https://dummyimage.com/16:9x1080'" height="200px" class="card-img-top" alt="...">
                    <div class="card-body">
                        <h5 class="card-title">{{ item.title }}</h5>
                        <!-- <a href="#" class="btn btn-success">Donate Now</a> -->
                        <div class="progress">
                            <div class="progress-bar progress-bar-striped progress-bar-animated " style="background-color: #00686B" role="progressbar" aria-valuenow="20" aria-valuemin="0" aria-valuemax="100" :style="'width:'+  formatProgress(item.total_donate ,item.donate_required) + '%'"></div>
                        </div>

                        <div class="d-flex justify-content-between py-1">
                            <span>
                                <i class="bi bi-cash"></i>
                                {{ formatPrice(item.donate_required) }}
                            </span>
                            <span>
                                {{ formatProgress(item.total_donate ,item.donate_required) + '%' }}
                            </span>
                        </div>
                    </div>
                </router-link>
            </div>
        </div>
    </div>
</template>

<script>
    export default {
        data(){
            return {
                url: 'http://localhost:8000',
                loading: false,
                campaign:[]
            }
        },

        methods: {
            getCampaign: function() {
                this.loading = true
                const config = {
                    methods: "get",
                    url: this.url + '/api/Campaign/get-campaign'
                }
                axios(config)
                    .then((response) => {
                        this.campaign = response.data.Data.campaign
                        this.loading = false
                    })
                    .catch((error) => {
                        console.log(error);
                    })

            },
            formatProgress(total_donate, donate_required) {
                let val = (total_donate/donate_required) * 100
                return val.toFixed(0);
            },
            formatPrice(value) {
                let val = (value/1)
                return 'Rp ' + val.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ".")
            }
        },
        created() {
            this.getCampaign()
            },
    }
</script>
